Bug 1464899 - url to disa srgs dead
Summary: url to disa srgs dead
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Marek Haicman
Ioanna Gkioka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-26 08:29 UTC by Marek Haicman
Modified: 2018-04-10 12:21 UTC (History)
4 users (show)

Fixed In Version: scap-security-guide-0.1.36-1.el7
Doc Type: Known Issue
Doc Text:
URL to DISA SRGs is incorrect The SCAP Security Guide (SSG) rules refer to Defense Information Systems Agency Security Requirement Guides (DISA SRGs). Connecting to the URL fails with an *404 - not found* error. As a consequence, users have no direct reference to SRGs. To work around the problem, use the new URL: http://iase.disa.mil/stig/os/general/Pages/index.aspx/
Clone Of:
Environment:
Last Closed: 2018-04-10 12:20:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0761 None None None 2018-04-10 12:21:03 UTC

Description Marek Haicman 2017-06-26 08:29:36 UTC
Description of problem:
SCAP Security Guide refers to DISA SRG in the rules. The link is dead, though

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.33-5.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. open guide with USGCB profile, or results.html of the same
2. try to click SRG reference in one of the rules
3.

Actual results:
404

Expected results:
Relevant page is opened

Additional info:

Comment 1 Watson Yuuma Sato 2017-11-13 14:48:48 UTC
This is the upstream patch: https://github.com/OpenSCAP/scap-security-guide/pull/2345

Comment 4 Marek Haicman 2018-01-05 21:36:47 UTC
Verified no disa links referenced in the shipped datastreams of version scap-security-guide-0.1.36-6.el7.noarch are dead.

Comment 7 errata-xmlrpc 2018-04-10 12:20:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0761


Note You need to log in before you can comment on or make changes to this bug.